bitmap.hpp File Reference

A class for bitmap pictures. More...

`#include <iostream>`
`#include <vector>`
`#include <claw/image.hpp>`
`#include <claw/rle_decoder.hpp>`
`#include <claw/color_palette.hpp>`
`#include <claw/buffered_istream.hpp>`
`#include <claw/impl/bitmap_reader.tpp>`

Go to the source code of this file.

## Classes

class | claw::graphic::bitmap
| A class for bitmap images. More...
struct | claw::graphic::bitmap::file_structure::header
| Header of a bitmap file. More...
class | claw::graphic::bitmap::reader
| This class read data from a bitmap file and store it in an image. More...
class | claw::graphic::bitmap::writer
| This class write an image in a bitmap file. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::graphic
| Everything about image structures and processing.

## Detailed Description

A class for bitmap pictures.

Author
  Julien Jorge

Definition in file bitmap.hpp.